LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XRangeBasedSmartTagRecognizer Interface Reference

provides access to a range based smart tag recognizer. More...

`import"XRangeBasedSmartTagRecognizer.idl";`

Inheritance diagram for XRangeBasedSmartTagRecognizer:

## Public Member Functions
void | recognizeTextRange ([in] com::sun::star::text::XTextRange xRange, [in] SmartTagRecognizerMode eDataType, [in] com::sun::star::text::XTextMarkup xTextMarkup, [in] string aApplicationName, [in] com::sun::star::frame::XController xController)
| recognizes smart tags. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a range based smart tag recognizer.

## Member Function Documentation

void recognizeTextRange | ( | [in] com::sun::star::text::XTextRange | xRange,
|  | [in] SmartTagRecognizerMode | eDataType,
|  | [in] com::sun::star::text::XTextMarkup | xTextMarkup,
|  | [in] string | aApplicationName,
|  | [in] com::sun::star::frame::XController | xController
| ) |  |

recognizes smart tags.

Parameters

  xRange | The text that should be scanned by the recognizer.
  eDataType | This value indicates the type of the passed text.
  xTextMarkup | This object is used to submit any recognized smart tags to the calling application.
  aApplicationName | A string containing the name of the calling application.
  xController | The current controller of the document.

The documentation for this interface was generated from the following file:

- com/sun/star/smarttags/XRangeBasedSmartTagRecognizer.idl